
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org Preferences Service Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.Preferences.Service</h1><h2>Description</h2>
<p>The service object deals with configuration values of a given service   The service can set and get the value of parameters.   The services are used to group related parameters together.  Basically, every application using the config server should use its own service name.   For each service we need a schema file describing the parameters the service provides.   The configurations values are stored in yaml file.  Each conf file contains all the parameters for a given service in a given context.  The conf files are organised with the following file hierachy :  conf/$(service)/$(profile).yaml   All the parameters that are independant of the profile are stored in the 'default' profile file.   When we set or get parameters, the service server takes into account the current profile,  so the applications using the service don't need to know about the current profile.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.Preferences.Service</tt></p>
<h2>Methods</h2><ul>
<li><a href="#GetKeys">GetKeys</a></li>
<li><a href="#GetValue">GetValue</a></li>
<li><a href="#SetValue">SetValue</a></li>
<li><a href="#IsProfilable">IsProfilable</a></li>
<li><a href="#GetType">GetType</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#Notify">Notify</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="GetKeys">GetKeys</a> ( ) &rarr; as</h3>
<p><i>Description:</i> Retrieve all the keys of the service.   This method should be used only for introspection purposes. </p><h4>Returns</h4><i>as: keys</i><p>The list of keys. </p>
<h3><a name="GetValue">GetValue</a> ( s ) &rarr; v</h3>
<p><i>Description:</i> Get a parameter value. </p><h4>Parameters</h4><i>s: key</i><p>The parameter key string. </p><h4>Returns</h4><i>v: value</i><p>The value associated with the key. </p>
<h3><a name="SetValue">SetValue</a> ( sv )</h3>
<p><i>Description:</i> Set a parameter value. </p><h4>Parameters</h4><i>s: key</i><p>The parameter key string. </p><i>v: value</i><p>The new value associated with the key. </p>
<h3><a name="IsProfilable">IsProfilable</a> ( s ) &rarr; b</h3>
<p><i>Description:</i> Return true if a parameter depends on the current profile. </p><h4>Parameters</h4><i>s: key</i><p>The parameter key string. </p><h4>Returns</h4><i>b: profileable</i><p>True if a parameter depends on the current profile. </p>
<h3><a name="GetType">GetType</a> ( s ) &rarr; s</h3>
<p><i>Description:</i> Return a string representing the type of the parameter. </p><h4>Parameters</h4><i>s: key</i><p>The parameter key string. </p><h4>Returns</h4><i>s: type</i><p>A string representing the type of the parameter. </p>
<h1>Signals</h1><h3><h3><a name="Notify">Notify</a> ( sv )</h3><p><i>Description:</i> Sent whenever there is a change in a parameter value in the service </p><h4>Parameters</h4><i>s: key</i><p>The parameter key string. </p><i>v: value</i><p>The new value of the parameter. </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

